import { useFilterContext } from "./FilterContext";
var ArticleList = function (props) {
    var filterContext = useFilterContext();
    if (!filterContext) {
        throw new Error("ArticleList requires a Filter Component as an ancestor");
    }
    return props.children({ articles: filterContext.getArticles() });
};
ArticleList.displayName = "ArticleList";
export default ArticleList;
